require("util")

data:extend{
  { type = "recipe", name = "fast-mining-drill",
    enabled = "false",
    energy_required = 4,
    ingredients =
    {
      {"basic-mining-drill", 1},
      {"iron-gear-wheel", 6},
      {"copper-cable", 4},
    },
    result = "fast-mining-drill"
  },
  { type = "recipe", name = "steel-mining-drill",
    enabled = "false",
    energy_required = 3,
    ingredients =
    {
      {"basic-mining-drill", 1},
      {"steel-plate", 8},
      {"electronic-circuit", 4}
    },
    result = "steel-mining-drill"
  },
  { type = "recipe", name = "fast-steel-mining-drill",
    enabled = "false",
    energy_required = 5,
    ingredients =
    {
      {"steel-mining-drill", 1},
      {"fast-mining-drill", 1},
      {"processing-unit", 1}
    },
    result = "fast-steel-mining-drill"
  },
  
  { type = "item", name = "fast-mining-drill",
    icon = "__balanced-better-drills__/graphics/icons/fast.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-b[fast-mining-drill]",
    place_result = "fast-mining-drill",
    stack_size = 50
  },
  { type = "item", name = "steel-mining-drill",
    icon = "__balanced-better-drills__/graphics/icons/steel.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-b[steel-mining-drill]",
    place_result = "steel-mining-drill",
    stack_size = 50
  },
  { type = "item", name = "fast-steel-mining-drill",
    icon = "__balanced-better-drills__/graphics/icons/fasteel.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-b[xsteel-mining-drill]",
    place_result = "fast-steel-mining-drill",
    stack_size = 50
  },
}

local newdrill
newdrill = util.table.deepcopy(data.raw["mining-drill"]["basic-mining-drill"])

newdrill.name="fast-mining-drill"
newdrill.minable.result="fast-mining-drill"
for _,anim in pairs(newdrill.animations) do
	anim.animation_speed=.8
	anim.tint={r=1,g=.8,b=.6,a=1}
end
newdrill.mining_speed=.75
newdrill.energy_source.emissions= 16 / 150
newdrill.energy_usage="150kW"
--mining_power=
--newdrill.animations.west.filename = "__balanced-better-drills__/graphics/entity/west.png"
data:extend{newdrill}


newdrill = util.table.deepcopy(data.raw["mining-drill"]["basic-mining-drill"])

newdrill.name="steel-mining-drill"
newdrill.minable.result="steel-mining-drill"
for _,anim in pairs(newdrill.animations) do
	anim.tint={r=.6,g=.9,b=1,a=1}
end
newdrill.energy_source.emissions= 10 / 100
newdrill.energy_usage="100kW"
newdrill.mining_power=3.5
newdrill.max_health=350
data:extend{newdrill}


newdrill = util.table.deepcopy(data.raw["mining-drill"]["basic-mining-drill"])

newdrill.name="fast-steel-mining-drill"
newdrill.minable.result="fast-steel-mining-drill"
for _,anim in pairs(newdrill.animations) do
	anim.animation_speed=.8
	anim.tint={r=.7,g=1,b=.8,a=1}
end
newdrill.mining_speed=.8
newdrill.energy_source.emissions= 17 / 160
newdrill.energy_usage="160kW"
newdrill.mining_power=3.5
newdrill.max_health=400
data:extend{newdrill}



--[[
  {
    type = "mining-drill",
    name = "basic-mining-drill",
    icon = "__base__/graphics/icons/basic-mining-drill.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "basic-mining-drill"},
    max_health = 300,
    resource_categories = {"basic-solid"},
    corpse = "big-remnants",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-mining-drill.ogg",
        volume = 0.75
      },
      apparent_volume = 1.5,
    },
    animations =
    {
      north =
      {
        priority = "extra-high",
        width = 110,
        height = 114,
        line_length = 8,
        shift = {0.2, -0.2},
        filename = "__base__/graphics/entity/basic-mining-drill/north.png",
        frame_count = 64,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      },
      east =
      {
        priority = "extra-high",
        width = 129,
        height = 100,
        line_length = 8,
        shift = {0.45, 0},
        filename = "__base__/graphics/entity/basic-mining-drill/east.png",
        frame_count = 64,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      },
      south =
      {
        priority = "extra-high",
        width = 109,
        height = 111,
        line_length = 8,
        shift = {0.15, 0},
        filename = "__base__/graphics/entity/basic-mining-drill/south.png",
        frame_count = 64,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      },
      west =
      {
        priority = "extra-high",
        width = 128,
        height = 100,
        line_length = 8,
        shift = {0.25, 0},
        filename = "__base__/graphics/entity/basic-mining-drill/west.png",
        frame_count = 64,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      }
    },
    mining_speed = 0.5,
    energy_source =
    {
      type = "electric",
      -- will produce this much * energy pollution units per tick
      emissions = 0.15 / 1.5,
      usage_priority = "secondary-input"
    },
    energy_usage = "90kW",
    mining_power = 3,
    resource_searching_radius = 2.49,
    vector_to_place_result = {0, -1.85},
    module_slots = 3,
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
      width = 12,
      height = 12
    }
  },
--]]

